- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Macros | Functions
evil_unistd.h File Reference

The file that provides functions ported from Unix in unistd.h. More...

## Macros
#define | getcwd(b, s) evil_getcwd((b),(s))
| Wrapper around evil_getcwd().
#define | pipe(fds) evil_pipe(fds)
| Wrapper around evil_pipe().

## Functions
double | evil_time_get (void)
| Return the time spent since the Evil library has been initialized. More...
int | symlink (const char *oldpath, const char *newpath)
| Create a shell link. More...
ssize_t | readlink (const char *path, char *buf, size_t bufsiz)
| Read value of a shell link. More...
char * | evil_getcwd (char *buffer, size_t size)
| Get the current directory. More...
int | evil_sockets_init (void)
| Initiates the use of Windows sockets. More...
void | evil_sockets_shutdown (void)
| Shutdown the Windows socket system. More...
int | evil_pipe (int *fds)
| Create a pair of sockets. More...

## Detailed Description

The file that provides functions ported from Unix in unistd.h.